aboutsummaryrefslogtreecommitdiffstats
path: root/testing/apache2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-10 09:48:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-10 09:48:55 +0000
commitc0367e7f1e95ef668455892afc61ebbbc53a35d9 (patch)
treec93e79cc90f1147a5555882961458e5622a772c1 /testing/apache2/APKBUILD
parent4f935d99aa754ff7b8b21b489be6caf9529f9a54 (diff)
downloadaports-c0367e7f1e95ef668455892afc61ebbbc53a35d9.tar.gz
aports-c0367e7f1e95ef668455892afc61ebbbc53a35d9.tar.bz2
aports-c0367e7f1e95ef668455892afc61ebbbc53a35d9.tar.xz
testing/apache2: various fixes
* fix datadir to /usr/share instead of /share * move apxs and build dir to -dev package * separate subpackage for ldap modules * separate subpackage for ssl support with post-install that creates cert ref #392
Diffstat (limited to 'testing/apache2/APKBUILD')
-rw-r--r--testing/apache2/APKBUILD47
1 files changed, 40 insertions, 7 deletions
diff --git a/testing/apache2/APKBUILD b/testing/apache2/APKBUILD
index a072fbab43..a18fe7f202 100644
--- a/testing/apache2/APKBUILD
+++ b/testing/apache2/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apache2
pkgver=2.2.16
-pkgrel=1
+pkgrel=2
pkgdesc="A high performance Unix-based HTTP server"
url="http://httpd.apache.org/"
license="APACHE"
@@ -10,7 +10,8 @@ pkgusers="apache"
pkggroups="apache"
makedepends="openssl-dev zlib-dev apr-util-dev apr-dev pcre-dev
autoconf automake"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-utils"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-ssl
+ $pkgname-ldap"
source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.11-02/02-rename-prefork-to-itk.patch
http://mpm-itk.sesse.net/apache2.2-mpm-itk-2.2.11-02/03-add-mpm-to-build-system.patch
@@ -25,6 +26,7 @@ source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
apache2.logrotate
apache2.initd
httpd.conf
+ ssl.conf
alpine.layout"
prepare() {
@@ -74,6 +76,7 @@ _buildmpm() {
--with-apr-util=/usr/bin/apu-1-config \
--with-pcre=/usr \
--with-mpm=${mpm} \
+ $@ \
|| return 1
make || return 1
}
@@ -84,7 +87,7 @@ build () {
# build prefork with everything
_buildmpm prefork \
--enable-mods-shared=all \
- --enable-ssl --with-ssl --enable-distcache \
+ --enable-ssl --with-ssl \
--enable-proxy \
--enable-cache \
--enable-disk-cache \
@@ -130,9 +133,19 @@ package() {
"$pkgdir/etc/conf.d/apache2" || return 1
install -d "$pkgdir"/var/www
- ln -fs /var/log/httpd "$pkgdir/var/www/logs"
- ln -fs /var/run/httpd "$pkgdir/var/www/run"
+ ln -fs /var/log/apache2 "$pkgdir/var/www/logs"
+ ln -fs /var/run/apache2 "$pkgdir/var/www/run"
ln -fs /usr/lib/apache2 "$pkgdir/var/www/modules"
+ ln -fs /etc/apache2/conf.d "$pkgdir/var/www/conf.d"
+}
+
+# include the builddir and apxs in -dev package
+dev() {
+ default_dev
+ install -d "$subpkgdir"/usr/share/apache2/ \
+ "$subpkgdir"/usr/sbin
+ mv "$pkgdir"/usr/sbin/apxs "$subpkgdir"/usr/sbin/ || return 1
+ mv "$pkgdir"/usr/share/apache2/build "$subpkgdir"/usr/share/apache2/
}
utils() {
@@ -143,6 +156,25 @@ utils() {
mv checkgid htcacheclean rotatelogs "$subpkgdir"/usr/sbin
}
+ssl() {
+ pkgdesc="SSL/TLS module for the Apache HTTP Server"
+ install="apache2-ssl.post-install"
+ depends="apache2 openssl"
+ install -d "$subpkgdir"/usr/lib/apache2 \
+ "$subpkgdir"/etc/ssl/apache2
+ mv "$pkgdir"/usr/lib/apache2/mod_ssl.so "$subpkgdir"/usr/lib/apache2/ \
+ || return 1
+ install -m644 -D "$srcdir"/ssl.conf "$subpkgdir"/etc/apache2/conf.d/ssl.conf
+}
+
+ldap() {
+ pkgdesc="LDAP authentication/authorization module for the Apache HTTP Server"
+ url="http://httpd.apache.org/docs/2.2/mod/mod_authnz_ldap.html"
+ depends="apache2"
+ install -d "$subpkgdir"/usr/lib/apache2
+ mv "$pkgdir"/usr/lib/apache2/mod_*ldap*.so "$subpkgdir"/usr/lib/apache2
+}
+
md5sums="c8ff2a07c884300bc7766a2e7f662d33 httpd-2.2.16.tar.bz2
db42cfcc18ae1c32aaaff2347e35b79d 02-rename-prefork-to-itk.patch
131408ad4dc7b18547b4e062e7e495ab 03-add-mpm-to-build-system.patch
@@ -156,5 +188,6 @@ d9667fcd2ffecc63e446edd4d6666731 10-nice.patch
e322b5211e49511cac6e40c86af1b1da apache2.confd
75fe4138b98fcffd01b8c8c077b944f3 apache2.logrotate
0261136ff734c3ae8dcf878a46ed5830 apache2.initd
-ea8669bd3b913c4d30f16b5a11c82564 httpd.conf
-af943bf52cec8088974084639661ba34 alpine.layout"
+769748b26d008f427678ac2bbc7ab171 httpd.conf
+5d0d024ca43571b863874ab871b2c109 ssl.conf
+c66ff5f70260d5266e6803a59b39bd7f alpine.layout"